using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Newtonsoft.Json;

namespace PassingStateWithJson
{
    [Activity(Label = "Hello Android!", MainLauncher = true, Icon = "@drawable/icon")]
    public class FirstActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.First);
            var button = FindViewById<Button>(Resource.Id.Button);
            button.Click += buttonClicked;
        }

        private void buttonClicked(object sender, EventArgs e)
        {
            var vm = new MyViewModel() { Name = "Jesse Liberty", State = "MA"};

            var intent = new Intent(this, typeof(SecondActivity));
            intent.PutExtra("ViewModel", JsonConvert.SerializeObject(vm));
            StartActivity(intent);
        }
    }
}